// -*-C++-*-
/*!
 * @file  LRFInfoSVC_impl.cpp
 * @brief Service implementation code of LRFInfo.idl
 *
 */

#include "LRFInfoSVC_impl.h"
#include <iostream>

/*
 * Example implementational code for IDL interface LRFInfo
 */
LRFInfoSVC_impl::LRFInfoSVC_impl(LRFInformation *info_p)
{
  // Please add extra constructor code here.
  info = info_p;
}


LRFInfoSVC_impl::~LRFInfoSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
CORBA::Short LRFInfoSVC_impl::getTotalScanPoints()
{
  std::cerr << "Total scan points: " << info->total_points << std::endl;
  return info->total_points;
}

CORBA::Double LRFInfoSVC_impl::getResolution()
{
  std::cerr << "Resolution: " << info->resolution << std::endl;
  return info->resolution;
}

CORBA::Double LRFInfoSVC_impl::getOffsetFOV()
{
  std::cerr << "Offset: " << info->offset_fov << std::endl;
  return info->offset_fov;
}



// End of example implementational code



